Bug 253222 - Cannot send mails from appointment details view
Summary: Cannot send mails from appointment details view
Status: CLOSED FIXED
Alias: None
Product: KOrganizer Mobile
Classification: Applications
Component: calendar (show other bugs)
Version: unspecified
Platform: Windows CE Microsoft Windows CE
: HI normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-04 13:26 UTC by Felix Wolfsteller
Modified: 2011-02-04 14:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Wolfsteller 2010-10-04 13:26:49 UTC
In version 4:4.5~20101001.1181693-1maemo4.1181469 when looking at the details of an appointment with participants, a small "mail" icon is displayed next to participants names.

Touching it will lead to an (error) message in the fashion of "KDEInit could not launch/find 'kmail'". I assume that it just has to be changed to 'kmail-mobile'.
Comment 1 Tobias Koenig 2011-01-20 18:47:07 UTC
Unfortunately it's not that easy. kmail-mobile does not support the --composer command line argument yet, so it's not a recplacement.

For WinCE we need some further adaptions in kdelibs/kdecore/kernel/ktoolinvocation_(x11|win).cpp
Comment 2 Bernhard E. Reiter 2011-01-20 22:55:59 UTC
Problem is there with windows-ce/Kontact-Mobile/testing/2011-01-17-02-23/,
it tries to start the system email facility, where it should start Kontact Touch Mail somehow.
Comment 3 Bernhard E. Reiter 2011-01-28 10:54:30 UTC
Remove button as solution.
Comment 4 Tobias Koenig 2011-01-28 16:45:23 UTC
SVN commit 1217778 by tokoe:

Hide 'mailto' icon in incidence viewer in MOBILE_UI mode

BUG: 253222


 M  +2 -0      incidenceformatter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217778
Comment 5 Ludwig Reiter 2011-02-04 14:10:43 UTC
version 2011-03-02 16:36
the mailto icon are removed from the event details viewer,
closed.